/* =====================
   STAMPS / BLINKIES AREA
===================== */

#stamps {
  width: 100%;
  background: rgba(255, 196, 213, 0.3);
  border: 2px solid #FFC4D5;
  text-align: center;
  padding: 8px 0;
  overflow: hidden;
  position: relative;
  margin-top: 500px; /* space above */
}

.stamps-container {
  display: flex;
  gap: 12px;
  width: max-content;
  animation: scroll-stamps 30s linear infinite;
}

.stamps-container a {
  display: inline-block;
}

.stamps-container img {
  width: 120px;
  height: auto;
  image-rendering: pixelated;
  transition: transform 0.2s ease;
}

.stamps-container img:hover {
  transform: scale(1.2);
  z-index: 10;
}

@keyframes scroll-stamps {
  0% { transform: translateX(0); }
  100% { transform: translateX(-50%); }
}


#stamps2 {
  width: 100%;
  background: rgba(255, 196, 213, 0.3);
  border: 2px solid #FFC4D5;
  text-align: center;
  padding: 8px 0;
  overflow: hidden;
  position: relative;
  margin-top: 5px; /* space above */
}

.stamps2-container {
  display: flex;
  gap: 12px;
  width: max-content;
  animation: scroll-stamps 30s linear infinite;
}

.stamps2-container a {
  display: inline-block;
}

.stamps2-container img {
  width: 120px;
  height: auto;
  image-rendering: pixelated;
  transition: transform 0.2s ease;
}

.stamps2-container img:hover {
  transform: scale(1.2);
  z-index: 10;
}

@keyframes scroll-stamps {
  0% { transform: translateX(0); }
  100% { transform: translateX(-50%); }
}



/* =====================
   title image
===================== */
.top-image {
  text-align: center;  /* centers inline elements inside this div */
  margin-top: 20px;    /* distance from top of page */
}

.top-image img {
  max-width: 100%;     /* responsive */
  height: auto;
}


/* =====================
   backgrouns image
===================== */
 body {
     
         background-image: url('https://file.garden/ZWlUCY4S7Xz2vypS/archived%20backgrounds/colours/yellow/bgostrich.gif');
       
      }

      /* Main image that changes on hover */
      #randomImage {
         position: absolute;
         top: 0;
         left: 0;
         width: 300px;
         height: auto;
         cursor: pointer;
         transition: opacity 0.5s ease; /* smooth fade */
         opacity: 1;
      }